RalliesAPI

Introduction

OverviewReferenceSandbox
Retail Intent
AskQuestionsTopicsMoversSnapshot
Retail Positioning
HoldingsFlowsRotationOptions
AI Funds
TradesPositionsLeaderboardConsensus
Filings
SearchAskSummariesFinancialsMetrics
Miscellaneous
Screener
API reference/Filings/Financial Metrics
Contact us

Financial Metrics

GET/financials/metrics

Retrieve normalized financial metrics extracted from company filings.

Query Parameters

tickerstringoptional
Ticker symbol filter.
tickersarray<string>optional
Ticker symbols to include.
include_historybooleanoptional
Allowed values: false, true
Default: false
Return historical financial metric rows when true.
periodenumoptional
Allowed values: quarterly, yearly
Default: quarterly
Financial period. One of quarterly or yearly.
metricsarray<string>optional
Optional financial metric names to include.
limitintegeroptional
Default: 12
Maximum number of rows to return.
Was this page helpful?
GET/financials/metrics
curl "https://api.rallies.ai/v1/financials/metrics?ticker=NVDA&period=quarterly&include_history=true&limit=12" \
  -H "X-Rallies-API-Key: $RALLIES_API_KEY"

RESPONSE

JSON
{
  "companies": [
    {
      "ticker": "NVDA",
      "name": "NVIDIA Corporation",
      "profile": {
        "exchange": "NASDAQ",
        "sector": "Technology",
        "industry": "Semiconductors"
      },
      "latest": {
        "updated_at": "2026-05-25T08:30:00Z",
        "metrics": {
          "revenue": 60922000000,
          "gross_profit": 44301000000,
          "total_debt": 9709000000,
          "free_cash_flow": 27021000000,
          "gross_margin": 72.8
        }
      },
      "history": [
        {
          "period": "2026-Q1",
          "filing": {
            "type": "10-Q",
            "date": "2026-05-22",
            "url": "https://www.sec.gov/Archives/edgar/data/0001045810/example.htm"
          },
          "metrics": {
            "revenue": 26044000000,
            "gross_profit": 20406000000
          }
        }
      ]
    }
  ]
}